<?php	
ob_start(); 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Dompdf\Dompdf;
use Dompdf\Options;

require_once __DIR__ . "/vendor/autoload.php";

$options = new Options();
$options->set('isRemoteEnabled', true);
$options->set('isHtml5ParserEnabled', true);
$options->set('chroot', __DIR__); 
$dompdf = new Dompdf($options);
	include_once("includes/conexao.php");

	  if(isset($_POST['submit'])){
		  
		  $inicio = $_POST['inicio'];
		  $fim = $_POST['fim'];
		
		  
		  
	
	$html = '<table class="table table-bordered">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Ref.</th>';
	$html .= '<th>Nome do cliente</th>';
	$html .= '<th>Valor pago</th>';
	$html .= '<th>Juros</th>';
	$html .= '<th>Saldo</th>';
	$html .= '<th>Data</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
	$item=1;
	
	$soma_juros = 0;
	
	$result_transacoes = "SELECT p.*,c.* FROM pagamentos p INNER JOIN clientes c ON p.id_cliente=c.id_cliente
	 WHERE p.data BETWEEN '$inicio' AND '$fim'";
	
	$resultado_trasacoes = mysqli_query($con, $result_transacoes);
	while($row_transacoes = mysqli_fetch_assoc($resultado_trasacoes)){
	    
	    $id_credito = $row_transacoes['id_pagamento'];
	    
	    $busca_credito = "SELECT * FROM creditos WHERE id='$id_credito'";
	    $confirma = mysqli_query($con,$busca_credito);
	    $jonas_final_pro = mysqli_fetch_assoc($confirma);
	    
	    
	    $taxa = $jonas_final_pro['taxas'];
	    $prestacao = $row_transacoes['valor_pago'];
	    $juros_prestacao = $prestacao * $taxa;
	    
	    
		$html .= '<tr>';
		$html .= '<td>'.$item++. "</td>";
		$html .= '<td>'.$row_transacoes['nome_cliente'] . "</td>";
		$html .= '<td>'.number_format($row_transacoes['valor_pago'],2,",",".") . "</td>";
		$html .= '<td>'.number_format($juros_prestacao,2,",","."). "</td>";
		$html .= '<td>'.number_format($row_transacoes['saldo'],2,",",".") . "</td>";
			$html .= '<td>'.$row_transacoes['data'] . "</td></tr>";
			
		  $soma_juros = $soma_juros + $juros_prestacao;
		
	}
}
		


$stock = mysqli_query($con, "SELECT SUM(valor_pago) as soma  FROM pagamentos WHERE data BETWEEN '$inicio' AND '$fim'");
 
  while($total = mysqli_fetch_array($stock)){
	  
	  $stock_total = $total['soma'];
  }
  
 

   
  
		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
  
  <b>Total Valor: '.number_format($stock_total,2,",",".").'</b><br>
  
    <b>Total Juros: '.number_format($soma_juros,2,",",".").'</b><br>
    


  
  <br>
  
  
	<br></br><br>';
	
  
  
	
$logotipo_dados = "SELECT * FROM empresa";
$sim_consegui = mysqli_query($con,$logotipo_dados);
$dados_empresa = mysqli_fetch_assoc($sim_consegui);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/'.$logo_empresa.'" width="180px" height="120px"/>
	
	
	<p align="right" style="padding-top:-150px;">
	   <b>'.$nome_empresa.'</b><br>
	   Cell: (+258) '.$contactos.'<br>
	   Endereço: '.$endereco_empresa.'<br>
	   Email: '.$email_empresa.'<br>
	   Maputo-Moçambique<br><br>
	</p>
	</div>
	
	<br></br><br>
	
		<h4 style="text-align: center; ">Relatorio de '.$inicio.' a '.$fim.'</h4>
		
		
			'. $html .'
			
		
			
			
			
			<p align="center">Relatorio gerado no dia '.$dia.'/'.$mes.'/'.$ano.'</p>
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>